import-bot (20211) [Avatar] Offline
#1
[Originally posted 9/9/03 by comet]

Hi

I'm trying to get UIBuilder.rb working under WIN XP Home.
I keep getting the following errors :

L:
uby>ruby UIBuilder.rb screen.xml
l:/ruby/lib/ruby/site_ruby/1.8/rexml/entity.rb:21: warning: character class has
`-' without escape
l:/ruby/lib/ruby/site_ruby/1.8/rexml/entity.rb:21: warning: character class has
`-' without escape
l:/ruby/lib/ruby/site_ruby/1.8/rexml/entity.rb:21: warning: character class has
`-' without escape
l:/ruby/lib/ruby/site_ruby/1.8/rexml/entity.rb:21: warning: character class has
`-' without escape
l:/ruby/lib/ruby/site_ruby/1.8/rexml/doctype.rb:196: warning: regexp has `]' wit
hout escape
UIBuilder.rb:2:in `require': No such file to load -- erb/erb (LoadError)
from UIBuilder.rb:2
import-bot (20211) [Avatar] Offline
#2
Re: UIBuilder.rb
[Originally posted 9/9/03 by Anonymous]

What version of Ruby did you install?
import-bot (20211) [Avatar] Offline
#3
Re: UIBuilder.rb
[Originally posted 9/9/03 by Anonymous]

I hadn't installed rexml and ERb properly but thanks for responding.